<template>
  <div id="app">
    <router-view/>
  </div>
</template>
<script>
export default {
  name: 'App',
  data () {
    return {

    }
  },
  created () {
    this._isMobile()
  },
  methods: {
    _isMobile () {
      const sUserAgent = navigator.userAgent.toLowerCase()
      if (
        // eslint-disable-next-line no-irregular-whitespace
        /ipad|iphone|midp|rv:1.2.3.4|ucweb|android|windows ce|windows mobile/.test(sUserAgent)
      ) { window.location.href = 'http://localhost:8081/' }
    }
  }
}
</script>
<style lang="less">

</style>
